Bug 520326 - cannot boot after grub
Summary: cannot boot after grub
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 17:04 UTC by Jason McCoy
Modified: 2009-10-12 06:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-12 06:41:10 UTC


Attachments (Terms of Use)
Log (by hand) of the kernel panic (1.47 KB, text/x-log)
2009-08-31 18:45 UTC, Benjamín Valero Espinosa
no flags Details

Description Jason McCoy 2009-08-30 17:04:05 UTC
Description of problem:
Cannot boot says: 
Kernel panic - not syncing: stack-protector: kernel stack is 
Corrupted in: f82ea859
Version-Release number of selected component (if applicable):
Fedora 11.91k (before rawhide updates)

How reproducible:
Everytime

Steps to Reproduce:
1. Normal boot
2.
3.
  
Actual results:
Boots halfway everytime

Expected results:


Additional info:
Downloaded .. 8-27-09

Comment 1 Chuck Ebbert 2009-08-31 16:09:06 UTC
Does adding "ignore_loglevel" to the boot options give any more output? There should be a stack trace along with the panic.

Comment 2 Benjamín Valero Espinosa 2009-08-31 18:22:48 UTC
I am having this error with the F12 Alpha LiveCD on an Acer laptop. I attach a log (written by hand) of the messages shown when I bott with the "ignore_loglevel" param.

Comment 3 Benjamín Valero Espinosa 2009-08-31 18:45:50 UTC
Created attachment 359307 [details]
Log (by hand) of the kernel panic

Comment 4 Hassan Ibraheem 2009-08-31 20:57:25 UTC
I have this problem with rawhide on my Acer Laptop too.
Thanks to the information provided in this bug report, I have blacklisted the acer-wmi module and rawhide kernel now boots fine.

Comment 5 Jason McCoy 2009-08-31 21:59:35 UTC
I've just installed the 64-bit version and it boots fine..... weird?
but the 32-bit version would not work at all! thanks for the help guys

Comment 6 Benjamín Valero Espinosa 2009-08-31 23:17:09 UTC
It seems that has been solved in the new kernel in Rawhide, although I haven't tested it:

https://www.redhat.com/archives/fedora-test-list/2009-August/msg00894.html


Note You need to log in before you can comment on or make changes to this bug.